Bug 469279 - window ops menu opens on the other screen of dual-head setup
window ops menu opens on the other screen of dual-head setup
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-30 21:48 EDT by Charles R. Anderson
Modified: 2014-06-18 05:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 17:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-10-30 21:48:26 EDT
Description of problem:

I have a dual-head setup.  Clicking on the window ops menu on windows on the right screen causes the window ops menu to show up on the left screen, detached from the parent window and floating by itself, usually at the far right edge of the left screen.  Clicking this menu on windows on the left screen works normally.

Version-Release number of selected component (if applicable):
metacity-2.24.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. configure dual-head
2. open a window on each screen
3. try clicking the window ops menu on each window
  
Actual results:
Window ops menu (minimize, maximize, move, resize, etc.) shows up on the other screen where the window isn't.  This only happens on windows that are on one of two the screens.

Expected results:
Window ops menu should appear attached to the parent window frame.
Comment 1 Bug Zapper 2008-11-25 23:31:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Owen Taylor 2009-11-16 16:25:59 EST
This is very odd - is it still happening with F11 or F12?

I don't see any code changes that would fix this, but I don't see any duplicate reports either here or upstream which I would expect if this is a general issue.
Comment 3 Charles R. Anderson 2009-11-16 17:29:05 EST
I haven't seen this in a long time on F11.  I'd say just close it.

Note You need to log in before you can comment on or make changes to this bug.